Name:           perl-Term-EditorEdit
Version:        0.0016
Release:        2%{?dist}
Summary:        Edit a document via $EDITOR
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Term-EditorEdit/
Source0:        http://www.cpan.org/authors/id/R/RO/ROKR/Term-EditorEdit-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(Any::Moose)
BuildRequires:  perl(Carp)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(IO::File)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(Test::Most)
BuildRequires:  perl(Text::Clip)
BuildRequires:  perl(Try::Tiny)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)

Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%{?perl_default_filter}

%description
Term::EditorEdit is a tool for prompting the user to edit a piece of text
via $VISUAL or $EDITOR and return the result.

%prep
%setup -q -n Term-EditorEdit-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;

%{_fixperms} $RPM_BUILD_ROOT/*

# Not useful to be installed
rm $RPM_BUILD_ROOT%{_bindir}/editor-edit

%check
make test

%files
%doc Changes README bin/editor-edit
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Mon Sep 01 2014 Jitka Plesnikova <jplesnik@redhat.com> - 0.0016-2
- Perl 5.20 rebuild

* Tue Jul 22 2014 Ralf Corsépius <corsepiu@fedoraproject.org> - 0.0016-1
- Initial package.
